<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Document</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css"
          integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/css/style.css">

    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/solid.js"
            integrity="sha384-tzzSw1/Vo+0N5UhStP3bvwWPq+uvzCMfrN1fEFe+xBmv1C/AtVX5K0uZtmcHitFZ"
            crossorigin="anonymous"></script>
    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/fontawesome.js"
            integrity="sha384-6OIrr52G08NpOFSZdxxz1xdNSndlD4vdcf/q2myIUVO0VsqaGHJsB0RaBE01VTOY"
            crossorigin="anonymous"></script>
    <script src="https://kit.fontawesome.com/ab35fad191.js" crossorigin="anonymous"></script>
</head>

<body>
<div class="wrapper">
    <!-- Sidebar  -->
    <nav id="sidebar">
        <div class="sidebar-header company-name">
            <a th:href="@{/}">
                <img src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/logo.png" alt="rip" width="200px">
            </a>
        </div>

        <ul class="list-unstyled components">
            <li class="">
                <a href="#reportsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-book"></i>
                        <label>Manage Finances</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="reportsSubmenu">
                    <li>
                        <a th:href="@{/make-BankTransfer}">Withdraw Funds</a>
                    </li>
                    <li>
                        <a th:href="@{/my-transactions}">Your Transactions</a>
                    </li>
                    <li>
                        <a th:href="@{/make-transaction}">Make a Transaction</a>
                    </li>
                </ul>
            </li>
            <li class="">
                <a href="#walletsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-wallet"></i>
                        <label>Wallets</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="walletsSubmenu">
                    <li>
                        <a th:href="@{/my-wallets}">Your Wallets</a>
                    </li>
                    <li>
                        <a th:href="@{/add-wallet}">Create New Wallet</a>
                    </li>
                </ul>
            </li>
            <li class="">
                <a href="#cardsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-credit-card"></i>
                        <label>Cards</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="cardsSubmenu">
                    <li>
                        <a th:href="@{/my-cards}">My cards</a>
                    </li>
                    <li>
                        <a th:href="@{/add-card}">Add New Card</a>
                    </li>
                </ul>
            </li>
            <li>
                <a th:href="@{/my-profile}">
                    <i class="fas fa-user" style="color: #ffffff;"></i>
                    <label>Profile</label>
                </a>
            </li>

            <li sec:authorize="hasRole('ADMIN')">
                <a href="#adminSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-user-cog"></i>
                        <label>Admin panel</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="adminSubmenu">
                    <li>
                        <a th:href="@{/users}">User management</a>
                    </li>
                    <li>
                        <a th:href="@{/transactions}">All transactions</a>
                    </li>
                </ul>

            </li>

        </ul>
    </nav>

    <!-- Page Content  -->
    <div id="content">
        <nav class="navbar navbar-expand-lg">
            <div class="container-fluid">

                <button type="button" id="sidebarCollapse">
                    <i id="collapse-icon" class="fas fa-bars fa-2x"></i>
                </button>

                <button class="btn d-inline-block d-lg-none ml-auto" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <i class="fas fa-bars"></i>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="nav navbar-nav ml-auto">
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/make-transaction}">
                                <i class="fas fa-plus-circle"></i>
                                Make Transaction
                            </a>
                        </li>
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/my-profile}">
                                <i class="fas fa-user-circle"></i>
                                <label>Profile</label>
                            </a>
                        </li>
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/logout}">
                                <i class="fas fa-sign-out-alt"></i>
                                <label>Logout</label>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>

        <div class="container main-container">
            <div class="container table-responsive user-management-container">

                <p class="users-list-section page-main-title">
                    Users List
                </p>

                <p class="suspended-users-section page-main-title hidden">
                    Blocked Users
                </p>

                <p class="deleted-users-section page-main-title hidden">
                    Disabled Users
                </p>

                <div th:if="${param.successful_activation}" class="alert alert-success" role="alert" id="successful_validation">
                    <strong>Success!</strong> User successfully activated.
                </div>

                <div th:if="${param.successful_block}" class="alert alert-success" role="alert" id="successful_block">
                    <strong>Success!</strong> User successfully blocked.
                </div>

                <div th:if="${param.successful_disable}" class="alert alert-success" role="alert" id="successful_disable">
                    <strong>Success!</strong> User successfully disabled.
                </div>

                <div th:if="${param.invalid_id}" class="alert alert-danger" role="alert" id="invalid_user">
                    <strong>Error!</strong> Invalid user.
                </div>

                <div th:if="${param.user_already_active}" class="alert alert-danger" role="alert" id="user_already_active">
                    <strong>Error!</strong> User already active.
                </div>

                <div th:if="${param.user_already_blocked}" class="alert alert-danger" role="alert" id="user_already_blocked">
                    <strong>Error!</strong> User already blocked.
                </div>

                <div th:if="${param.user_already_disabled}" class="alert alert-danger" role="alert" id="user_already_disabled">
                    <strong>Error!</strong> User already disabled.
                </div>

                <script type="text/javascript">
                    // close the div in 5 secs
                    window.setTimeout("closeHelpDiv();", 5000);

                    function closeHelpDiv(){
                        for(var i = 0; i < document.getElementsByClassName("alert").length; i++) {
                            document.getElementsByClassName("alert").item(i).style.display =" none";
                        }
                    }
                </script>

                <div class="row">
                    <button id="getUsersSection" class="col-lg-2 filter-area-buttons" >
                        <i class="fas fa-users c-list"></i>
                        <span class="c-list">User List</span>
                    </button>
<!--                    <button id="createUserSection" class="col-lg-2 filter-area-buttons" data-toggle="modal"-->
<!--                            data-target="#create-user-modal">-->
<!--                        <i class="fas fa-user-plus c-add"></i>-->
<!--                        <span class="c-add">Add User</span>-->
<!--                    </button>-->
                    <button id="suspendedUsersSection" class="col-lg-2 filter-area-buttons">
                        <i class="fas fa-user-slash c-block"></i>
                        <span class="c-block">Blocked Users</span>
                    </button>
                    <button id="deletedUsersSection" class="col-lg-2 filter-area-buttons">
                        <i class="fas fa-user-minus c-delete"></i>
                        <span class="c-delete">Disabled users</span>
                    </button>
                    <!-- <button id="emailPendingSection" class="col-lg-2 filter-area-buttons">
                        <i class="fas fa-envelope c-edit"></i>
                        <span class="c-edit">Email Pending</span>
                    </button> -->
                </div>

                <div class="row pad">
<!--                    <div class="col-lg-11 col-sm-6 search-container d-flex justify-content-start">-->
                        <form class = "col-lg-11 col-sm-6 search-container d-flex justify-content-start" th:action="@{/filter-users}" th:object="${userFilter}" method="post">
                            <input class="search-input" type="text" placeholder="Username" name="search" th:field="*{username}">
                            <input class="search-input" type="text" placeholder="Email" style="margin-left: 20px" name="search" th:field="*{email}">
                            <input class="search-input" type="text" placeholder="Phone" style="margin-left: 20px" name="search" th:field="*{phoneNumber}">
                            <button type="submit" class="col-lg-3 confirm-button" style="margin-left: 75px">Search</button>
                        </form>
                        <!-- <i class="fas fa-search"></i> -->
<!--                    </div>-->

<!--                    <div class="col-lg-6 col-sm-6  d-flex justify-content-end">-->
<!--                        <select class="sort-select">-->
<!--                            <option value="volvo">Date Asc</option>-->
<!--                            <option value="volvo">Date Desc</option>-->
<!--                        </select>-->
<!--                    </div>-->
                </div>

                <div id="users_json" hidden="hidden" th:text="${users}"></div>
                <div id="blocked_users_json" hidden="hidden" th:text="${blocked_users}"></div>
                <div id="disabled_users_json" hidden="hidden" th:text="${disabled_users}"></div>

                <table class="table table-bordered users-list-section" id="user_table">
                    <thead>
                    <tr>
                        <th style="width: 14%" scope="col">First Name</th>
                        <th style="width: 14%" scope="col">Last Name</th>
                        <th style="width: 16%" scope="col">Username</th>
                        <th style="width: 22%" scope="col">Email</th>
                        <th style="width: 14%" scope="col">Phone</th>
                        <th style="width: 10%" scope="col">Status</th>
                        <th style="width: 10%" scope="col">Action</th>
                    </tr>
                    </thead>
                    <tbody id="transaction-template">
                    <tr>
                        <td>BTC 2</td>
                        <td>2019-01-24 12:50:17</td>
                        <td>2019-01-25 12:50:17</td>
                        <td>12.14078</td>
                        <td>
                            <ul class="activityList">
                                <i class="fas fa-eye fa-2x"></i>
                            </ul>
                        </td>
                    </tr>
                    </tbody>
<!--                    <tbody>-->
<!--                    <tr>-->
<!--&lt;!&ndash;                    <tr th:each="user:${users}" th:switch="${user.blocked}" th:object="${user}" th:if="${user.isEnabled()}">&ndash;&gt;-->
<!--&lt;!&ndash;                        <td th:text="${user.firstName}">Paul</td>&ndash;&gt;-->
<!--&lt;!&ndash;                        <td th:text="${user.lastName}">Gun</td>&ndash;&gt;-->
<!--&lt;!&ndash;                        <td th:text="${user.username}">paulgun</td>&ndash;&gt;-->
<!--&lt;!&ndash;                        <td th:text="${user.email}"> paul@test.test</td>&ndash;&gt;-->
<!--&lt;!&ndash;                        <td th:text="${user.phoneNumber}">(555) 555-5555</td>&ndash;&gt;-->
<!--&lt;!&ndash;                        <td th:case="false">Active</td> <td th:case="true">Blocked</td>&ndash;&gt;-->

<!--                        <td>-->
<!--&lt;!&ndash;                                    <span class="d-inline-block" tabindex="0" data-toggle="tooltip"&ndash;&gt;-->
<!--&lt;!&ndash;                                          title="See user profile">&ndash;&gt;-->
<!--&lt;!&ndash;                                        <i class="fas fa-eye"></i>&ndash;&gt;-->
<!--&lt;!&ndash;                                    </span>&ndash;&gt;-->
<!--&lt;!&ndash;                            <span class="d-inline-block" data-toggle="modal" data-target="#edit-user-info-modal"&ndash;&gt;-->
<!--&lt;!&ndash;                                  tabindex="0"  title="Edit user profile">&ndash;&gt;-->
<!--&lt;!&ndash;                                        <i class="fas fa-user-edit"></i>&ndash;&gt;-->
<!--&lt;!&ndash;                                    </span>&ndash;&gt;-->
<!--&lt;!&ndash;                            <span class="d-inline-block" tabindex="0" data-toggle="tooltip"&ndash;&gt;-->
<!--&lt;!&ndash;                                  title="See user wallets">&ndash;&gt;-->
<!--&lt;!&ndash;                                        <i class="fas fa-wallet c-wallet"></i>&ndash;&gt;-->
<!--&lt;!&ndash;                                    </span>&ndash;&gt;-->
<!--                            <span class="d-inline-block" tabindex="0" data-toggle="modal"-->
<!--                                  data-target="#activate-user-modal"  title="Activate user">-->
<!--                                                                        <i class="fas fa-check c-add"></i>-->
<!--                                                                    </span>-->
<!--                            <span class="d-inline-block" data-toggle="modal" data-target="#suspend-user-modal"-->
<!--                                  tabindex="0"  title="Block user">-->
<!--                                        <i class="fas fa-user-slash c-block"></i>-->
<!--                                    </span>-->
<!--                            <span class="d-inline-block" tabindex="0" data-toggle="modal"-->
<!--                                  data-target="#delete-user-modal"  title="Disable user">-->
<!--                                        <i class="fas fa-user-minus c-delete"></i>-->
<!--                                    </span>-->
<!--                        </td>-->
<!--                    </tr>-->
<!--                    </tbody>-->
                </table>

                <template id="transaction-template-row">
                    <tr>
                        <td id="firstName"></td>
                        <td id="lastName"></td>
                        <td id="username"></td>
                        <td id="email"></td>
                        <td id="phone"></td>
                        <td id="status"></td>
                        <td id="icons">
                            <span class="d-inline-block" tabindex="0" data-toggle="tooltip"
                                title="See user transactions">
                                <a href="https://google.com" id="user_transactions">
                                <i class="fas fa-eye"></i>
                                </a>
                            </span>
                            <span class="d-inline-block" tabindex="0" data-toggle="modal"
                                  data-target="#activate-user-modal"  title="Activate user">
                                <i class="fas fa-check c-add"></i>
                            </span>
                            <span class="d-inline-block" data-toggle="modal" data-target="#suspend-user-modal"
                                  tabindex="0"  title="Block user">
                                <i class="fas fa-user-slash c-block"></i>
                            </span>
                            <span class="d-inline-block" tabindex="0" data-toggle="modal"
                                  data-target="#delete-user-modal"  title="Disable user">
                                <i class="fas fa-user-minus c-delete"></i>
                            </span>
                        </td>
                        <td id="id" hidden="hidden"></td>
                    </tr>
                </template>

                <div class="data-container users-list-section"></div>
                <div id="pagination" class="users-list-section"></div>

                <table class="table table-bordered suspended-users-section hidden" id="user_table_blocked">
                    <thead>
                    <tr>
                        <th style="width: 14%" scope="col">First Name</th>
                        <th style="width: 14%" scope="col">Last Name</th>
                        <th style="width: 16%" scope="col">Username</th>
                        <th style="width: 22%" scope="col">Email</th>
                        <th style="width: 14%" scope="col">Phone</th>
                        <th style="width: 10%" scope="col">Status</th>
                        <th style="width: 10%" scope="col">Action</th>
                    </tr>
                    </thead>
                    <tbody id="transaction-template-blocked" >

<!--                    <tr th:each="user:${users}" th:object="${user}" th:if="${user.isBlocked() && user.isEnabled()}">-->
<!--                        <td th:text="${user.firstName}">Paul</td>-->
<!--                        <td th:text="${user.lastName}">Gun</td>-->
<!--                        <td th:text="${user.username}">paulgun</td>-->
<!--                        <td th:text="${user.email}">paul@test.test</td>-->
<!--                        <td th:text="${user.phoneNumber}">(555) 555-5555</td>-->
<!--                        <td>Blocked</td>-->
<!--                        <td>-->
<!--                                    <span class="d-inline-block" tabindex="0" data-toggle="tooltip"-->
<!--                                          title="See user profile">-->
<!--                                        <i class="fas fa-eye"></i>-->
<!--                                    </span>-->
<!--                            <span class="d-inline-block" tabindex="0" data-toggle="tooltip"-->
<!--                                  title="See user wallets">-->
<!--                                        <i class="fas fa-wallet c-wallet"></i>-->
<!--                                    </span>-->
<!--                            <span class="d-inline-block" tabindex="0" data-toggle="modal"-->
<!--                                  data-target="#activate-user-modal"  title="Activate user">-->
<!--                                        <i class="fas fa-check c-add"></i>-->
<!--                                    </span>-->
<!--                            <span class="d-inline-block" tabindex="0" data-toggle="modal"-->
<!--                                  data-target="#delete-user-modal"  title="Delete user">-->
<!--                                        <i class="fas fa-user-minus c-delete"></i>-->
<!--                                    </span>-->
<!--                        </td>-->
<!--                    </tr>-->


                    <tr>
                        <td>BTC 2</td>
                        <td>2019-01-24 12:50:17</td>
                        <td>2019-01-25 12:50:17</td>
                        <td>12.14078</td>
                        <td>
                            <ul class="activityList">
                                <i class="fas fa-eye fa-2x"></i>
                            </ul>
                        </td>
                    </tr>

                    </tbody>
                </table>

                <template id="transaction-template-row-blocked">
                    <tr>
                        <td id="firstName-blocked"></td>
                        <td id="lastName-blocked"></td>
                        <td id="username-blocked"></td>
                        <td id="email-blocked"></td>
                        <td id="phone-blocked"></td>
                        <td id="status-blocked"></td>
                        <td id="icons-blocked">
                            <span class="d-inline-block" tabindex="0" data-toggle="tooltip"
                                  title="See user transactions">
                                <a href="https://google.com" id="user_transactions_blocked">
                                <i class="fas fa-eye"></i>
                                </a>
                            </span>
                            <span class="d-inline-block" tabindex="0" data-toggle="modal"
                                  data-target="#activate-user-modal"  title="Activate user">
                                <i class="fas fa-check c-add"></i>
                            </span>
                            <span class="d-inline-block" data-toggle="modal" data-target="#suspend-user-modal"
                                  tabindex="0"  title="Block user">
                                <i class="fas fa-user-slash c-block"></i>
                            </span>
                            <span class="d-inline-block" tabindex="0" data-toggle="modal"
                                  data-target="#delete-user-modal"  title="Disable user">
                                <i class="fas fa-user-minus c-delete"></i>
                            </span>
                        </td>
                        <td id="id-blocked" hidden="hidden"></td>
                    </tr>
                </template>

                <div class="data-container suspended-users-section hidden"></div>
                <div id="pagination-blocked" class="suspended-users-section hidden"></div>

                <table class="table table-bordered deleted-users-section hidden" id="user_table_disabled">
                    <thead>
                    <tr>
                        <th style="width: 14%" scope="col">First Name</th>
                        <th style="width: 14%" scope="col">Last Name</th>
                        <th style="width: 16%" scope="col">Username</th>
                        <th style="width: 22%" scope="col">Email</th>
                        <th style="width: 14%" scope="col">Phone</th>
                        <th style="width: 10%" scope="col">Status</th>
                        <th style="width: 10%" scope="col">Action</th>
                    </tr>
                    </thead>
                    <tbody id="transaction-template-disabled">

<!--                    <tr th:each="user:${users}" th:object="${user}" th:if="${!user.isEnabled()}">-->
<!--                        <td th:text="${user.firstName}">Paul</td>-->
<!--                        <td th:text="${user.lastName}">Gun</td>-->
<!--                        <td th:text="${user.username}">paulgun</td>-->
<!--                        <td th:text="${user.email}">paul@test.test</td>-->
<!--                        <td th:text="${user.phoneNumber}">(555) 555-5555</td>-->
<!--                        <td>Disabled</td>-->
<!--                        <td>-->
<!--                                    <span class="d-inline-block" tabindex="0" data-toggle="tooltip"-->
<!--                                          title="See user profile">-->
<!--                                        <i class="fas fa-eye"></i>-->
<!--                                    </span>-->
<!--                            <span class="d-inline-block" tabindex="0" data-toggle="tooltip"-->
<!--                                  title="See user wallets">-->
<!--                                        <i class="fas fa-wallet c-wallet"></i>-->
<!--                                    </span>-->
<!--                            <span class="d-inline-block" tabindex="0" data-toggle="modal"-->
<!--                                  data-target="#activate-user-modal" title="Activate user">-->
<!--                                        <i class="fas fa-check c-add"></i>-->
<!--                                    </span>-->
<!--                        </td>-->
<!--                    </tr>-->

                         <tr>
                             <td>BTC 2</td>
                             <td>2019-01-24 12:50:17</td>
                             <td>2019-01-25 12:50:17</td>
                             <td>12.14078</td>
                             <td>
                                 <ul class="activityList">
                                     <i class="fas fa-eye fa-2x"></i>
                                 </ul>
                             </td>
                         </tr>

                    </tbody>
                </table>

                <template id="transaction-template-row-disabled">
                    <tr>
                        <td id="firstName-disabled"></td>
                        <td id="lastName-disabled"></td>
                        <td id="username-disabled"></td>
                        <td id="email-disabled"></td>
                        <td id="phone-disabled"></td>
                        <td id="status-disabled"></td>
                        <td id="icons-disabled">
                            <span class="d-inline-block" tabindex="0" data-toggle="tooltip"
                                  title="See user transactions">
                                <a href="https://google.com" id="user_transactions_disabled">
                                <i class="fas fa-eye"></i>
                                </a>
                            </span>
                            <span class="d-inline-block" tabindex="0" data-toggle="modal"
                                  data-target="#activate-user-modal"  title="Activate user">
                                <i class="fas fa-check c-add"></i>
                            </span>
                            <span class="d-inline-block" data-toggle="modal" data-target="#suspend-user-modal"
                                  tabindex="0"  title="Block user">
                                <i class="fas fa-user-slash c-block"></i>
                            </span>
                            <span class="d-inline-block" tabindex="0" data-toggle="modal"
                                  data-target="#delete-user-modal"  title="Disable user">
                                <i class="fas fa-user-minus c-delete"></i>
                            </span>
                        </td>
                        <td id="id-disabled" hidden="hidden"></td>
                    </tr>
                </template>

                <div class="data-container deleted-users-section hidden"></div>
                <div id="pagination-disabled" class="deleted-users-section hidden"></div>

            </div>
        </div>

    </div>

    <div class="modal" id="create-user-modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Add User</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="form-group">
                            <label for="reg-first-name">First Name</label>
                            <input type="text" class="form-control" placeholder="Enter first name">
                            <small>Error Message</small>
                        </div>
                        <div class="form-group">
                            <label for="reg-last-name">Last Name</label>
                            <input type="text" class="form-control" placeholder="Enter last name">
                            <small>Error Message</small>
                        </div>
                        <div class="form-group">
                            <label for="reg-username">Username</label>
                            <input type="text" class="form-control" placeholder="Enter username">
                            <small>Error Message</small>
                        </div>
                        <div class="form-group">
                            <label for="reg-phone">Phone</label>
                            <input type="text" class="form-control" placeholder="Enter phone">
                            <small>Error Message</small>
                        </div>
                        <div class="form-group">
                            <label for="reg-user-email">Email</label>
                            <input type="text" class="form-control" placeholder="Enter email">
                            <small>Error Message</small>
                        </div>
                        <button type="submit" class="custom-button" style="width: 100%;">Create User</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="modal" id="delete-user-modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content alert-modal">
                <div class="text-center">
                    <i class="fas fa-minus-circle fa-5x"></i>
                </div>
                <h2 class="text-center">Disable</h2>
                <p class="text-center">Do you want to disable user?</p>
                <div class="text-center action-buttons">
                    <form action="" method="post" id="disable_form" style="margin-bottom: 5px">
                        <button type="submit" class="confirm-button">Disable</button>
                    </form>
                    <button type="button" class="cancel-button" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal" id="suspend-user-modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content alert-modal">
                <div class="text-center">
                    <i class="fas fa-exclamation-circle fa-5x"></i>
                </div>
                <h2 class="text-center">Block</h2>
                <p class="text-center">Do you want to block user?</p>
                <div class="text-center action-buttons">
                    <form action="" method="post" id="block_form" style="margin-bottom: 5px">
                        <button type="submit" class="confirm-button">Block</button>
                    </form>
                    <button type="button" class="cancel-button" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal" id="activate-user-modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content alert-modal">
                <div class="text-center">
                    <i class="fas fa-check-circle fa-5x"></i>
                </div>
                <h2 class="text-center">User Active</h2>
                <p class="text-center">Do you want to activate user?</p>
                <div class="text-center action-buttons">
                    <form action="" method="post" id="activation_form" style="margin-bottom: 5px">
                        <button type="submit" class="confirm-button">Activate</button>
                    </form>
                    <button type="button" class="cancel-button" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal" id="edit-user-info-modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content alert-modal">
                <div class="modal-header">
                    <h5 class="modal-title">Edit User Information</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="row">
                            <div class="col-lg-6 profileImage">
                                <img src="https://randomuser.me/api/portraits/men/18.jpg" alt="user photo">
                                <div>
                                    <label for="file-upload" class="custom-file-upload">
                                        <i class="fas fa-camera fa-2x"></i>
                                    </label>
                                    <input id="file-upload" type="file" />
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label for="first-name">First Name</label>
                                    <input type="text" class="form-control" placeholder="Enter first name">
                                    <small>Error Message</small>
                                </div>
                                <div class="form-group">
                                    <label for="last-name">Last Name</label>
                                    <input type="text" class="form-control" placeholder="Enter last name">
                                    <small>Error Message</small>
                                </div>
                                <div class="form-group">
                                    <label for="select-role">Role</label>
                                    <select class="form-control">
                                        <option>Admin</option>
                                        <option>User</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="confirm-button"
                                style="margin:auto; display:block;">Activate</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</div>

<!-- jQuery CDN - Slim version (=without AJAX) -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<!-- Popper.JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"
        integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
        crossorigin="anonymous"></script>
<!-- Bootstrap JS -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js"
        integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm"
        crossorigin="anonymous"></script>

<script type="text/javascript" src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/js/pagination.min.js"></script>
<script type="text/javascript" src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/js/app.js"></script>
</body>

</html>